Debian Bug report logs - #243329
fontconfig: Nimbus Sans L looks different

version graph

Package: fontconfig; Maintainer for fontconfig is Keith Packard <keithp@debian.org>; Source for fontconfig is src:fontconfig.

Reported by: Nicolò Wojewoda <nico@woje.it>

Date: Mon, 12 Apr 2004 14:03:06 UTC

Severity: normal

Tags: sid

Found in version 2.2.2-2

Done: Aron Xu <happyaron.xu@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Nicolò Wojewoda <nico@woje.it>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolò Wojewoda <nico@woje.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fontconfig: Nimbus Sans L looks different
Date: Mon, 12 Apr 2004 15:55:01 +0200
Package: fontconfig
Version: 2.2.2-2
Severity: normal
Tags: sid

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I don't remember if this happened last time I upgraded fontconfig
package, but it seems that recently my Nimbus Sans L fonts got narrower
(condensed, you shall say, as I found out googling).

This happens only in KDE, because in GTK applications (having specified
gtk-font-name = "Nimbus Sans L 12" in .gtkrc and .gtkrc-2.0) the font
looks as usual.

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.25-1-k7
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro

Versions of packages fontconfig depends on:
ii  debconf [debconf-2.0]       1.4.21       Debian configuration management sy
ii  defoma                      0.11.7       Debian Font Manager -- automatic f
ii  gsfonts-x11                 0.17         Make Ghostscript fonts available t
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libfontconfig1              2.2.2-2      generic font configuration library
ii  msttcorefonts               1.1.4        Installer for Microsoft TrueType c
ii  ttf-bitstream-vera          1.10-3       The Bitstream Vera family of free 
ii  ttf-freefont                20030519-1   Freefont Serif, Sans and Mono True
ii  ucf                         1.02         Update Configuration File: preserv

- -- debconf information:
* fontconfig/subpixel_rendering: true
* fontconfig/enable_bitmaps: false
* fontconfig/enable_autohinter: false

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAep+1iPKxQpb9vxYRAqHoAKCOPQLw1iG98a/3q3XJwvzNe8LfggCfbV5r
SnXroHJ7c4V7kt4hKVDz0kY=
=z/2m
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to 243329@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #10 received at 243329@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Nicolò Wojewoda <nico@woje.it>, 243329@bugs.debian.org
Subject: Re: Bug#243329: fontconfig: Nimbus Sans L looks different
Date: Mon, 19 Apr 2004 22:58:17 +0200
[Message part 1 (text/plain, inline)]
Le lun 12/04/2004 à 15:55, Nicolò Wojewoda a écrit :
> Package: fontconfig
> Version: 2.2.2-2
> Severity: normal
> Tags: sid
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> I don't remember if this happened last time I upgraded fontconfig
> package, but it seems that recently my Nimbus Sans L fonts got narrower
> (condensed, you shall say, as I found out googling).
> 
> This happens only in KDE, because in GTK applications (having specified
> gtk-font-name = "Nimbus Sans L 12" in .gtkrc and .gtkrc-2.0) the font
> looks as usual.

I'm pretty sure this wasn't caused by a recent fontconfig upgrade.

You should check whether this is really that font which gets displayed,
as KDE's font selection system is known to be often broken. You can find
that out by viewing the fonts with a software such as nautilus's
fonts:/// and check out which one you are really seeing.

Another possibility is that the autohinter gets enabled for some
applications and not others. You can check what it changes by playing
with the debconf autohinter setting.

Regards,
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Nicolò Wojewoda <nico@woje.it>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #15 received at 243329@bugs.debian.org (full text, mbox):

From: Nicolò Wojewoda <nico@woje.it>
To: 243329@bugs.debian.org
Subject: Re: Bug#243329: fontconfig: Nimbus Sans L looks different
Date: Mon, 19 Apr 2004 23:46:22 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Alle 22:58, lunedì 19 aprile 2004, Josselin Mouette ha scritto:
> You should check whether this is really that font which gets displayed,
> as KDE's font selection system is known to be often broken. You can find
> that out by viewing the fonts with a software such as nautilus's
> fonts:/// and check out which one you are really seeing.

In nautilus's fonts:/// all "Nimbus Sans" fonts have in their "Style" field 
the name "Condensed" ("Regular Condensed", "Bold Condensed", "Bold Italic 
Condensed", "Italic Condensed").

> Another possibility is that the autohinter gets enabled for some
> applications and not others. You can check what it changes by playing
> with the debconf autohinter setting.

I've tried with autohinter enabled and disabled, but it would only 
increase/decrease the thickness of the font (or maybe its size), but it would 
not switch "Nimbus Sans" fonts from "Condensed" to "Normal" (or to whatever 
it was before).

Thanks,
Nicolò Wojewoda
nico@woje.it
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAhEi1iPKxQpb9vxYRAnCwAJ9IK5djImN0Tq0csscs5KR0QYL6RgCfT/3Q
K2EaJWyUzfgsIlDLZ6pBaZ0=
=M2or
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #20 received at 243329@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: 243329@bugs.debian.org
Subject: font styles causing havok
Date: Mon, 19 Apr 2004 18:33:08 -0700
This bug was probably triggered by gsfonts-x11, but from everything
I've read the fault actually does lie with fontconfig.  See #240478
and #191488 for more tales of woe.  Reading the last year or so of the
fontconfig mailing list leads me to believe that there are longstanding
problems with fontconfig's selection techniques when fonts have styles
or weights that aren't recognised properly like 'Condsensed' or
'Medium'.  It might be fixed upstream, I'm not really sure.

-- 
Jamie Heilman                     http://audible.transient.net/~jamie/
"Paranoia is a disease unto itself, and may I add, the person standing
 next to you may not be who they appear to be, so take precaution."
						-Sathington Willoughby



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Jamie Heilman <jamie@audible.transient.net>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #25 received at 243329@bugs.debian.org (full text, mbox):

From: Jamie Heilman <jamie@audible.transient.net>
To: 243329@bugs.debian.org
Subject: Re: font styles causing havok
Date: Sun, 26 Sep 2004 20:44:05 -0700
I packaged and installed the fontconfig 2.2.96 development
snapshot, it didn't solve this problem.



Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Jack Dodds <brmdamon@aci.on.ca>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. Full text and rfc822 format available.

Message #30 received at 243329@bugs.debian.org (full text, mbox):

From: Jack Dodds <brmdamon@aci.on.ca>
To: 243329@bugs.debian.org
Subject: Bug#243329 - Nimbus Sans L
Date: Wed, 09 Feb 2005 21:34:57 -0500
I have experienced problems with Nimbus Sans L on both Woody and Sarge 
(using Gnome in both cases).  Nimbus Sans L Condensed was used when I 
specified Nimbus Sans L.  Also, specifying Helvetica (which I believe 
should cause Nimbus Sans L to be substituted) resulted in Nimbus Sans L 
Condensed being used.

In Woody, on 2004-01-27, I deleted n019043l.pfb, n019044l.pfb, 
n019063l.pfb, n019064l.pfb, n019043l.atm, n019044l.atm, n019063l.atm, 
n019064l.atm. My notes are not very clear, but I think I first deleted 
links to the .pfb files from /usr/lib/X11/fonts/Type1, which did not 
help, then I deleted the actual files.  At some point I ran type1inst in 
the Type1 directory, ran xset fp rehash, deleted XftCache.  After all of 
this and a reboot or two there were no more "Condensed" fonts and the 
real Nimbus Sans L was used in Abiword (I didn't have OpenOffice 
installed). This may not be an accurate account of all the significant 
actions that I took - my understanding of the font system is minimal 
(not for lack of trying) and I just hacked until the problem went away.

On 2004-10-22 I did a clean install (not an upgrade) of Sarge on the 
same computer.   I have done apt-get upgrade a number of times, most 
recently on 2005-01-23.  At some point I noticed the same problem with 
Nimbus Sans L.  I am not sure if it was present when I installed Sarge. 
Remembering my previous problem with Woody, I first deleted the links 
/usr/lib/X11/fonts/Type1/n019043l.pfb, n019044l.pfb, n019063l.pfb, 
n019064l.pfb.  This fixed the problem for Abiword, but not for 
OpenOffice.  I then deleted the same files, and the corresponding .afm 
files, from /usr/share/fonts/type1/gsfonts (which was where the symbolic 
links pointed).  This fixed the problem for OpenOffice.








Information forwarded to debian-bugs-dist@lists.debian.org, Keith Packard <keithp@debian.org>:
Bug#243329; Package fontconfig. Full text and rfc822 format available.

Acknowledgement sent to Keith Packard <keithp@keithp.com>:
Extra info received and forwarded to list. Copy sent to Keith Packard <keithp@debian.org>. Full text and rfc822 format available.

Message #35 received at 243329@bugs.debian.org (full text, mbox):

From: Keith Packard <keithp@keithp.com>
To: 243329@bugs.debian.org
Cc: Keith Packard <keithp@keithp.com>
Subject: Re: bug #243329: fontconfig: Nimbus Sans L looks different
Date: Thu, 10 Mar 2005 21:07:37 -0800
[Message part 1 (text/plain, inline)]
I've tried to reproduce this issue with the 2.3.1-2 version of fontconfig; 
Gtk and KDE seem quite happy to use the normal width version of this font 
by default, and my fonts:/// display looks correct.

Of course, Gtk+ should be able to get at the condensed version, but that's 
a limitation of Gtk+, not fontconfig.

Is this still broken?

-keith




[Message part 2 (application/pgp-signature, inline)]

Reply sent to Aron Xu <happyaron.xu@gmail.com>:
You have taken responsibility. (Sun, 10 Jul 2011 17:36:11 GMT) Full text and rfc822 format available.

Notification sent to Nicolò Wojewoda <nico@woje.it>:
Bug acknowledged by developer. (Sun, 10 Jul 2011 17:36:11 GMT) Full text and rfc822 format available.

Message #40 received at 243329-close@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 243329-close@bugs.debian.org
Subject: Re: Bug #243329: fontconfig: Nimbus Sans L looks different
Date: Mon, 11 Jul 2011 01:35:16 +0800
On Thu, 10 Mar 2005 21:07:37 -0800, Keith Packard wrote:
> I've tried to reproduce this issue with the 2.3.1-2 version of fontconfig; 
> Gtk and KDE seem quite happy to use the normal width version of this font 
> by default, and my fonts:/// display looks correct.
> 
> Of course, Gtk+ should be able to get at the condensed version, but that's 
> a limitation of Gtk+, not fontconfig.
> 
> Is this still broken?
> 
> -keith

No, so let's close this ancient bug.

-- 
Regards,
Aron Xu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Aug 2011 07:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 02:58:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.